| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_adc_config Struct Reference
12-Bit Analog Digital Converter (ADC)

ADC configuration. More...

`#include <adc.h>`

Collaboration diagram for stc_adc_config:
[legend]

## Data Fields
boolean_t | bLsbAlignment
| TURE: Result is LSB aligned.
stc_ad_channel_list_t | u32SamplingTimeSelect
| Selects channels for Sampling time 0 or 1 setting.
en_adc_sample_time_n_t | enSamplingTimeN0
| Sampling Time N0 Time Setting Bits, see en_adc_sample_time_n_t for details.
uint8_t | u8SamplingTime0
| Sampling Time 0 0...15.
en_adc_sample_time_n_t | enSamplingTimeN1
| Sampling Time N1 Time Setting Bits, see en_adc_sample_time_n_t for details.
uint8_t | u8SamplingTime1
| Sampling Time 1 0...15.
uint8_t | u8SamplingMultiplier
| Multiplier of N, see Peripheral Manual for Details!
uint8_t | u8EnableTime
| Enable Time.
boolean_t | bScanInit
| TRUE: initialize scan conversion.
stc_adc_scan_t | stcScanInit
| Scan conversion configuration structure, it is available to configure scan coversion only when bScanInit is set to TRUE.
boolean_t | bPrioInit
| TRUE: initialize scan conversion.
stc_adc_prio_t | stcPrioInit
| Priority conversion configuration structure, it is available only when bPrioInit is set to TRUE.
boolean_t | bComparisonEnable
| TRUE: Enables Comparison Mode.
stc_adc_comapre_t | stcComparisonInit
| Comparison structure, it is available to configure comparison function only when bCompareEnable is set to TRUE.
boolean_t | bRangeComparisonEnable
| TRUE: Initialize and enable the Range Comparison.
stc_adc_range_compare_t | stcRangeComparisonInit
| Range comparison structure, it is available to configure range comparison function only when bRangeCompareEnable is set to TRUE.

## Detailed Description

ADC configuration.

Definition at line 330 of file adc.h.

## Field Documentation

boolean_t bComparisonEnable

TRUE: Enables Comparison Mode.

Definition at line 347 of file adc.h.

Referenced by Adc_Init().

boolean_t bLsbAlignment

TURE: Result is LSB aligned.

Definition at line 332 of file adc.h.

Referenced by Adc_Init().

boolean_t bPrioInit

TRUE: initialize scan conversion.

Definition at line 344 of file adc.h.

Referenced by Adc_Init().

boolean_t bRangeComparisonEnable

TRUE: Initialize and enable the Range Comparison.

Definition at line 350 of file adc.h.

Referenced by Adc_Init().

boolean_t bScanInit

TRUE: initialize scan conversion.

Definition at line 341 of file adc.h.

Referenced by Adc_Init().

en_adc_sample_time_n_t enSamplingTimeN0

Sampling Time N0 Time Setting Bits, see en_adc_sample_time_n_t for details.

Definition at line 334 of file adc.h.

Referenced by Adc_Init().

en_adc_sample_time_n_t enSamplingTimeN1

Sampling Time N1 Time Setting Bits, see en_adc_sample_time_n_t for details.

Definition at line 336 of file adc.h.

Referenced by Adc_Init().

stc_adc_comapre_t stcComparisonInit

Comparison structure, it is available to configure comparison function only when bCompareEnable is set to TRUE.

Definition at line 348 of file adc.h.

Referenced by Adc_Init().

stc_adc_prio_t stcPrioInit

Priority conversion configuration structure, it is available only when bPrioInit is set to TRUE.

Definition at line 345 of file adc.h.

Referenced by Adc_Init().

stc_adc_range_compare_t stcRangeComparisonInit

Range comparison structure, it is available to configure range comparison function only when bRangeCompareEnable is set to TRUE.

Definition at line 351 of file adc.h.

Referenced by Adc_Init().

stc_adc_scan_t stcScanInit

Scan conversion configuration structure, it is available to configure scan coversion only when bScanInit is set to TRUE.

Definition at line 342 of file adc.h.

Referenced by Adc_Init().

stc_ad_channel_list_t u32SamplingTimeSelect

Selects channels for Sampling time 0 or 1 setting.

Definition at line 333 of file adc.h.

Referenced by Adc_Init().

uint8_t u8EnableTime

Enable Time.

Definition at line 339 of file adc.h.

Referenced by Adc_Init().

uint8_t u8SamplingMultiplier

Multiplier of N, see Peripheral Manual for Details!

Definition at line 338 of file adc.h.

Referenced by Adc_Init().

uint8_t u8SamplingTime0

Sampling Time 0 0...15.

Definition at line 335 of file adc.h.

Referenced by Adc_Init().

uint8_t u8SamplingTime1

Sampling Time 1 0...15.

Definition at line 337 of file adc.h.

Referenced by Adc_Init().

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/driver/adc/adc.h